#
# spec file for package python-pytest-sphinx
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%define skip_python2 1
Name:           python-pytest-sphinx
Version:        0.5.0
Release:        1.4
Summary:        Doctest plugin for pytest with support for Sphinx-specific doctest-directives
License:        BSD-3-Clause
URL:            https://github.com/thisch/pytest-sphinx
Source:         https://github.com/thisch/pytest-sphinx/archive/v%{version}.tar.gz#/pytest-sphinx-%{version}.tar.gz
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module wheel}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-pytest >= 7.0.0
BuildArch:      noarch
# SECTION test requirements
BuildRequires:  %{python_module Sphinx}
BuildRequires:  %{python_module pytest >= 7.0.0}
# /SECTION
%python_subpackages

%description
Doctest plugin for pytest with support for Sphinx-specific doctest-directives.

%prep
%setup -q -n pytest-sphinx-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%doc README.rst
%license LICENSE
%{python_sitelib}/pytest_sphinx.py
%{python_sitelib}/pytest_sphinx-%{version}.dist-info
%pycache_only %{python_sitelib}/__pycache__/*

%changelog
* Mon May  8 2023 Dirk Müller <dmueller@suse.com>
- update to 0.5.0:
  * Mention in the README that the doctest directive is
    supported.
  * CI improvements
* Mon Apr 25 2022 Markéta Machová <mmachova@suse.com>
- Update to 0.4.0
  * Drop python2.7 (Fixes #14)
  * Drop python3.5 and python3.6
  * Require pytest>=7.0
* Fri Aug 21 2020 Marketa Calabkova <mcalabkova@suse.com>
- Update to 0.3.1
  * Adapt to importmode API changes in pytest-6.0
  * Adapt to Node API changes in pytest-5.4 (Fixes #11)
  * Add support for python 3.8 (Fixes #15)
  * Add support for skipif option in testoutput directive (Fixes #17)
  * Add support for skipif option in testcode directive (Fixes #21)
  * A ValueError is raised if the text inside the directives is not properly
    formatted.
  * Ignore the option :hide: in directives (Fixes #19)
  * Fix detection of block boundaries in parser.
* Fri Jun  5 2020 Matej Cepl <mcepl@suse.com>
- Package doesn't work with pytest 5.*
* Mon Apr 20 2020 Tomáš Chvátal <tchvatal@suse.com>
- Fix build without python2
* Fri Sep  6 2019 John Vandenberg <jayvdb@gmail.com>
- Update to v0.2.2
  * Add hack for handling mock style objects
  * Add support for indented directives
* Thu Mar 21 2019 John Vandenberg <jayvdb@gmail.com>
- Initial spec for v0.2.1
